<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>Debian New Maintainer Process: History and Aims</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">Debian New Maintainer Process: History and Aims<br />
<br />
Hanna Wallach, Dafydd Harries, Moray Allan<br />
<br />
<br />
This paper/talk is aimed especially at Debian New Maintainer Process applicants and those considering applying, but it is relevant to all those interested in how Debian admits new developers.  Since the process<br />
is in a better state than it has been for some time, we suggest standing back from it to see how it has developed over the years, and to think about what its overall aims should be.<br />
<br />
We intend to structure the DebConf session into three parts:<br />
<br />
1. History of NM<br />
2. How NM works today, including &quot;What an AM really wants to see&quot;<br />
3. Discussion<br />
<br />
<br />
1. History of NM<br />
<br />
The Debian New Maintainer process forms a key part of Debian's social and organisational structure.  Debian has a very large body of volunteer developers, and for some years has been running the NM process as a formal procedure to induct new developers into the organisation.  The process is unique to Debian, and widely considered to be a significant contributory factor in Debian's reputation for technical excellence and consistency across the whole distribution.<br />
<br />
At the same time, many people outside the project see the NM process as a negative barrier to joining Debian.  Some who get as far as applying to the process get bogged down when they receive their first communications from their Application Manager.  We suggest that both these problems are often due to false perceptions of the process, for example in misunderstanding the quality of response that application managers expect from their applicants.<br />
<br />
We describe how the NM process evolved over the years, describing why the various tests are now used.  Most potential applicants only know about the current form of the NM process, without knowing why it has developed to this state: having this history available to them will let applicants understand why they are being asked to do the things they are during the NM process.<br />
<br />
The history of the NM process also clarifies discussion about the aims of the current NM process for those inside Debian, by reminding us why the various requirements were originally introduced.<br />
<br />
<br />
2. How NM works today<br />
<br />
2.1. Applicant's view<br />
<br />
We briefly summarise the current NM process from an applicant's point of<br />
view.<br />
<br />
2.2. People involved<br />
<br />
We describe the NM process from the point of view of those running it, by showing the relationships between those performing the various organisational tasks.<br />
<br />
2.3. Statistics<br />
<br />
Statistics for recent applications / acceptances / rejections.<br />
<br />
2.4. What an Application Manager really wants to see<br />
<br />
What is an Application Manager really looking for in applicants?  Many applicants seem unclear, but this is not intended to be secret information.<br />
<br />
<br />
3. Discussion<br />
<br />
Some tentative conclusions can be drawn about the NM process in view of its history.<br />
<br />
Overall, the process is working well, with the number of applicants waiting for people other than themselves currently going down.<br />
<br />
There is always a tendency towards making the process more complex and adding further requirements on applicants.  It's good if this means that we get better trained developers out of the process, but it's bad if it discourages people from applying or from seeing the process through.<br />
<br />
<br />
<br />
<br />
Hanna Wallach recently began maintaining several Debian packages, and is currently in the NM process.<br />
<br />
Dafydd Harries completed the NM process in December, and is currently waiting for account creation.<br />
<br />
Moray Allan went through the NM process in 2003, and has been an Application Manager since April 2004.<br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>Talk (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Political</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Accepted</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>Hanna Wallach</p>


</li>

<li><p>Dafydd Harries</p>


</li>

<li><p>Moray Allan</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

